Bug 1560295 - /usr/lib/debug/usr/lib64/libpython3.6m.so.1.0-3.6.4-20.fc28.x86_64.debug-gdb.py has wrong shebang
Summary: /usr/lib/debug/usr/lib64/libpython3.6m.so.1.0-3.6.4-20.fc28.x86_64.debug-gdb....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-25 18:20 UTC by Miro Hrončok
Modified: 2018-04-09 19:08 UTC (History)
11 users (show)

Fixed In Version: python3-3.6.5-1.fc28 python3-3.6.5-1.fc26 python3-3.6.5-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 18:34:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2018-03-25 18:20:42 UTC
See:

taskotron check: https://taskotron.fedoraproject.org/artifacts/all/18d43998-303b-11e8-9ee8-525400fc9f92/tests.yml/output.log

build log: https://kojipkgs.fedoraproject.org/work/tasks/846/25960846/build.log

*** WARNING: mangling shebang in /usr/lib/debug/usr/lib64/libpython3.6dm.so.1.0-3.6.4-20.fc28.x86_64.debug-gdb.py from #!/usr/bin/python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
*** WARNING: mangling shebang in /usr/lib/debug/usr/lib64/libpython3.6m.so.1.0-3.6.4-20.fc28.x86_64.debug-gdb.py from #!/usr/bin/python to #!/usr/bin/python2. This will become an ERROR, fix it manually!

This files end in python3-debuginfo and that package does not require /usr/bin/python2, so it's not a serious problem. Yet we should fix this.

Comment 2 Fedora Update System 2018-04-05 09:30:52 UTC
python3-3.6.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7eae87ec86

Comment 3 Fedora Update System 2018-04-05 09:32:51 UTC
python3-3.6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 4 Fedora Update System 2018-04-05 09:33:34 UTC
python3-3.6.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 5 Fedora Update System 2018-04-05 15:50:55 UTC
python3-3.6.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 6 Fedora Update System 2018-04-05 15:56:11 UTC
python-pip-9.0.3-1.fc26 python3-3.6.5-1.fc26 python3-docs-3.6.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 7 Fedora Update System 2018-04-05 16:04:54 UTC
python3-3.6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 8 Fedora Update System 2018-04-05 16:13:52 UTC
python-pip-9.0.3-1.fc27 python3-3.6.5-1.fc27 python3-docs-3.6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 9 Fedora Update System 2018-04-06 11:09:24 UTC
python3-3.6.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-04-06 16:51:51 UTC
python-pip-9.0.3-1.fc26, python3-3.6.5-1.fc26, python3-docs-3.6.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 11 Fedora Update System 2018-04-06 17:16:32 UTC
python-pip-9.0.3-1.fc27, python3-3.6.5-1.fc27, python3-docs-3.6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 12 Fedora Update System 2018-04-09 18:34:49 UTC
python-pip-9.0.3-1.fc26, python3-3.6.5-1.fc26, python3-docs-3.6.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-04-09 19:08:41 UTC
python-pip-9.0.3-1.fc27, python3-3.6.5-1.fc27, python3-docs-3.6.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.